# Interface FunctionalSourceSet

All Superinterfaces:
  `Iterable<LanguageSourceSet>, ModelElement, ModelMap<LanguageSourceSet>, Named`

@Incubating public interface FunctionalSourceSet extends ModelMap<LanguageSourceSet>
A container holding `LanguageSourceSet`s with a similar function (production code, test code, etc.).

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

### Methods inherited from interface ModelMap

`afterEach, afterEach, all, beforeEach, beforeEach, containsKey, containsValue, create, create, create, create, get, get, isEmpty, keySet, named, named, put, size, values, withType, withType, withType`